# $Id: bzflag.spec,v 1.5 2003/06/22 19:22:42 dude Exp $

%define desktop_vendor freshrpms

Summary: A 3D multi-player tank battle game.
Name: bzflag
Version: 1.7g2
Release: fr1
License: GPL
Group: Amusements/Games
Source: http://prdownloads.sourceforge.net/bzflag/%{name}-%{version}.tar.gz
URL: http://bzflag.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: XFree86, libstdc++
BuildRequires: XFree86-devel, libstdc++-devel, desktop-file-utils

%description
BZFlag is a 3D multi-player tank battle game  that  allows users to play
against each other in a networked environment.  There are five teams: red,
green, blue, purple and rogue (rogue tanks are black).  Destroying a player
on another team  scores a win, while being destroyed or destroying a teammate
scores a loss.  Rogues have no teammates (not even other rogues), so they
cannot shoot teammates and they do not have a team score.
There are two main styles of play: capture-the-flag and free-for-all.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
install -D -m 644 package/rpm/bzflag-m.xpm \
        %{buildroot}%{_datadir}/pixmaps/bzflag.xpm

# Desktop menu entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=BZFlag
Comment=%{summary}
Exec=%{name}
Icon=bzflag.xpm
Terminal=0
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Red-Hat-Extra                \
  --add-category Application                    \
  --add-category Game                           \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog README TODO package/rpm/README.linux
%{_bindir}/bzflag
%{_bindir}/bzfls
%{_bindir}/bzfrelay
%{_bindir}/bzfs
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/bzflag
%{_datadir}/pixmaps/bzflag.xpm
%{_mandir}/man6/*

%changelog
* Sun Jun 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.7g2.
- Major spec changes for the new build method.

* Tue Apr  1 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix the Xfree86 dependency, doh!
- Clean up the confusing build.
- Add a system menu entry.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.7g0.
- Rebuilt for Red Hat Linux 9.

* Mon Nov  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Wed Jun 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.7e6.

* Wed Feb 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

